Bug 13908 - Checkouts table sorting is not honoring default sort preferences
Summary: Checkouts table sorting is not honoring default sort preferences
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14299
  Show dependency treegraph
 
Reported: 2015-03-25 15:30 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13908 - Checkouts table sorting is not honoring default sort preferences (2.98 KB, patch)
2015-03-25 15:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13908 - Checkouts table sorting is not honoring default sort preferences (2.93 KB, patch)
2015-03-25 15:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13908 - Checkouts table sorting is not honoring default sort preferences (2.99 KB, patch)
2015-03-25 16:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13908 - Checkouts table sorting is not honoring default sort preferences (3.05 KB, patch)
2015-04-05 21:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-03-25 15:30:44 UTC
The checkouts table no longer honors the system preferences todaysIssuesDefaultSortOrder and previousIssuesDefaultSortOrder.

This causes much frustration for librarians who prefer a different sort order. In particular, many librarians prefer to see the oldest previous issues at the top of the list so those overdue items are visible "above the fold".
Comment 1 Kyle M Hall 2015-03-25 15:35:25 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-03-25 15:36:10 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-03-25 16:04:57 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-04-05 21:31:24 UTC
Created attachment 37514 [details] [review]
[PASSED QA] Bug 13908 - Checkouts table sorting is not honoring default sort preferences

The checkouts table no longer honors the system preferences
todaysIssuesDefaultSortOrder and previousIssuesDefaultSortOrder.

This causes much frustration for librarians who prefer a different sort
order. In particular, many librarians prefer to see the oldest previous
issues at the top of the list so those overdue items are visible "above
the fold".

Test Plan:
1) Apply this patch
2) Find a patron with many previous checkouts due on different days
3) Try all 4 combinations of todaysIssuesDefaultSortOrder and previousIssuesDefaultSortOrder
4) Note they all sort correctly

Signed-off-by: Sean McGarvey <seanm@pascolibraries.org>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-04-08 13:59:09 UTC
Patch pushed to master.

Thanks Kyle!
Comment 6 Chris Cormack 2015-04-11 02:52:53 UTC
Pushed to 3.18.x will be in 3.18.6
Comment 7 Mason James 2015-07-25 10:01:23 UTC
Kyle, any idea if this is a problem for 3.16.x series?